Version 10 (modified by Samuli Seppänen, 4 years ago) (diff)



Latest OpenVPN releases are also available in the OpenVPN project's apt repositories. This allow you to use more up-to-date version of OpenVPN than what's typically available in your distribution's repositories. Please note that all commands listed below have to be run as root, e.g. using sudo or su.

Stable releases built from official releases are only available for Debian and Ubuntu. This is so for two reasons:

  • Official Debian and Ubuntu repositories tend to have fairly old OpenVPN versions available
  • There are fairly up-to-date versions of OpenVPN releases available in places such as RepoForge (previously RPMForge) for RedHat derivatives

All packages are available in i386 and amd64/x86_64 flavours. Even if a package is built on a particular OS, it does not mean it won't work on older and/or newer versions of the same distro, or even on a different operating system. If you encountered any issues with the package, please file a new bug report.


We have several supported OpenVPN (OSS) repositories. To use them, first import the public GPG used to sign the packages:

$ wget -O -|apt-key add -

Next you need to create a source.list fragment (as root) so that apt can find the new OpenVPN packages:

$ echo "deb <oscodename> main" >

Where <oscodename> depends your distribution:

  • squeeze (Debian 6.x)
  • wheezy (Debian 7.x)
  • lucid (Ubuntu 10.04)
  • precise (Ubuntu 12.04)
  • raring (Ubuntu 13.04)
  • saucy (Ubuntu 13.10)

For example:

deb wheezy main

Save the file and you're set to installing OpenVPN.

Installing OpenVPN

On Debian/Ubuntu use

$ apt-get update && apt-get install openvpn

Notes on old apt/yum repositories

The current incarnation of OpenVPN apt repositories is the third one. The first repositories were hosted on and the second ones on, a now discontinued server. The apt lines for the latter still work, but new OpenVPN releases (2.3.3 and later) will only be added to current repos. Unfortunately due to the complete restructuring of the apt repository structure it is not possible to cleanly migrate from the configuration to the configuration.